package com.iformall.service;

import com.github.pagehelper.PageInfo;
import com.iformall.common.ResultData;
import com.iformall.domain.dto.WxCUserFromBDto;
import com.iformall.domain.po.WxCUserFromB;

/**
 * @author gongbiao
 */
public interface WxCUserFromBService {

	/**
     * 根据实体查询分页列表
     *
     * @param record
     * @param offset
     * @param limit
     * @return
     */
	PageInfo<WxCUserFromB> listAsPage(WxCUserFromB record, Integer pageIndex, Integer pageSize);
	
	/**
     * 根据Id获得实体
     *
     * @param id
     * @return
     */
    WxCUserFromB getById(Long id);
    
        /**
     * 保存或更新实体
     *
     * @param record
     */
    void saveOrUpdate(WxCUserFromB record);

    /**
     * 根据Id删除实体
     *
     * @param id
     */
    void deleteById(Long id);


    WxCUserFromB getByOpenidAndAppId(WxCUserFromBDto wxCUserFromBDto);

    PageInfo<WxCUserFromB> listCUser(WxCUserFromBDto wxCUserFromBDto, Integer pageNum, Integer pageSize);

}
